Bug 1732863 - command to deploy OCS using cns-deploy tool should be changed in the document.
Summary: command to deploy OCS using cns-deploy tool should be changed in the document.
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: doc-Container_Native_Storage_with_OpenShift
Version: ocs-3.11
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: OCS 3.11.z Batch Update 4
Assignee: Kusuma
QA Contact: RamaKasturi
URL:
Whiteboard:
Depends On:
Blocks: 1709460
TreeView+ depends on / blocked
 
Reported: 2019-07-24 14:47 UTC by RamaKasturi
Modified: 2019-11-04 15:45 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-04 15:45:04 UTC
Target Upstream Version:


Attachments (Terms of Use)
Attaching the image for cns-deploy (253.61 KB, image/png)
2019-10-18 11:42 UTC, RamaKasturi
no flags Details

Description RamaKasturi 2019-07-24 14:47:19 UTC
Document URL : https://access.redhat.com/documentation/en-us/red_hat_openshift_container_storage/3.11/html-single/deployment_guide/index#Setting_up_CNS

Section Name & Number : A.3.2.1. Deploying Converged Mode

Describe the issue : With the bug fix done at the bug https://bugzilla.redhat.com/show_bug.cgi?id=1726384 i see that command provided in document does not work to deploy ocs using cns-deploy tool.

Suggestions for Improvement : Command below should be run to deploy using cns-deploy else deployment will be aborted with a message saying user & adminkeys are required.

cns-deploy -v -n storage-project -g --admin-key <adminkey> --user-key <userkey> /usr/share/heketi/topology-sample.json

Comment 9 RamaKasturi 2019-10-18 11:42:21 UTC
Created attachment 1627180 [details]
Attaching the image for cns-deploy


Note You need to log in before you can comment on or make changes to this bug.